From 99fb9058bb0b6a6323da6811926547ef5f3882e4 Mon Sep 17 00:00:00 2001
From: Stanislav Brabec <sbrabec@suse.com>
Date: Thu, 16 Jul 2015 21:54:23 +0200
Subject: [PATCH 02/12] Add --disable-fstrim

Add option to explicitly disable build of fstrim.

Signed-off-by: Stanislav Brabec <sbrabec@suse.com>
---
 configure.ac | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

Index: util-linux-2.26.2/configure.ac
===================================================================
--- util-linux-2.26.2.orig/configure.ac
+++ util-linux-2.26.2/configure.ac
@@ -1171,6 +1171,10 @@ AM_CONDITIONAL([BUILD_ISOSIZE], [test "x
 
 
-UL_BUILD_INIT([fstrim], [check])
+AC_ARG_ENABLE([fstrim],
+  AS_HELP_STRING([--disable-fstrim], [do not build fstrim(8)]),
+  [], [UL_DEFAULT_ENABLE([fstrim], [yes])]
+)
+UL_BUILD_INIT([fstrim])
 UL_REQUIRES_LINUX([fstrim])
 UL_REQUIRES_BUILD([fstrim], [libmount])
 AM_CONDITIONAL([BUILD_FSTRIM], [test "x$build_fstrim" = xyes])
